Generate Blog Post Titles
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 3,
"description": "Consequatur quisquam recusandae asperiores accusamus nihil repellat.",
"product_ids": [
12
],
"category_ids": [
12
],
"tone": "technical",
"language": "syzwszwtxpeqqik",
"min_words": 24,
"max_words": 12,
"audience": "wkiinfowtzmixko",
"category_profile": "creative_assets"
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles"
payload = {
"count": 3,
"description": "Consequatur quisquam recusandae asperiores accusamus nihil repellat.",
"product_ids": [12],
"category_ids": [12],
"tone": "technical",
"language": "syzwszwtxpeqqik",
"min_words": 24,
"max_words": 12,
"audience": "wkiinfowtzmixko",
"category_profile": "creative_assets"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 3,
description: 'Consequatur quisquam recusandae asperiores accusamus nihil repellat.',
product_ids: [12],
category_ids: [12],
tone: 'technical',
language: 'syzwszwtxpeqqik',
min_words: 24,
max_words: 12,
audience: 'wkiinfowtzmixko',
category_profile: 'creative_assets'
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blog-posts-generate/titles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Blog Posts
Generate Blog Post Titles
Drafts titles and short descriptions for the user to review. Nothing is saved.
POST
/
v1
/
shops
/
{shopId}
/
blog-posts-generate
/
titles
Generate Blog Post Titles
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Must be at least 1. Must not be greater than 3.
Example:
3
Must not be greater than 2000 characters.
Example:
"Consequatur quisquam recusandae asperiores accusamus nihil repellat."
Example:
[12]
Example:
[12]
Available options:
professional, casual, technical, enthusiastic, concise Example:
"technical"
Must not be greater than 40 characters.
Example:
"syzwszwtxpeqqik"
Must be at least 300. Must not be greater than 4000.
Example:
24
Must be at least 300. Must not be greater than 4000.
Example:
12
Must not be greater than 200 characters.
Example:
"wkiinfowtzmixko"
Available options:
game_enhancement, gaming_accounts, digital_accounts, software_licenses, ebooks_courses, creative_assets, gift_cards, general Example:
"creative_assets"
Response
200 - undefined